JobHistoryDocumentation
class JobHistoryDocumentation
This file provides property and method documentation for the model JobHistory.
This file is generated by the XELOS command line tool xf kickstart. It will be overwritten when new kickstart actions are performed.
Add @mixin \XELOS\Modules\JobQueue\Docs\ClassGenerated\Model\JobHistoryDocumentation to the model to get access to the properties.
Properties
| int | $id | ||
| string | $id_token: | stored in MySQL as varchar |
|
| string | $queue: | stored in MySQL as varchar |
|
| int | $user_id | ||
| string | $job_class: | stored in MySQL as varchar |
|
| string | $job_data: | stored in MySQL as mediumblob |
|
| string | $reference_id: | stored in MySQL as varchar |
|
| string | $job_uniqueness_hash: | stored in MySQL as varchar |
|
| string | $status: | enum new|processing|finished|canceled|error |
|
| string | $status_message: | stored in MySQL as varchar |
|
| int | $status_progress | ||
| string | $error_message: | stored in MySQL as text |
|
| string | $owner_thread: | stored in MySQL as varchar |
|
| int | $retry_count | ||
| int | $duration | ||
| string | $created_at: | stored in MySQL as datetime |
|
| string | $scheduled_at: | stored in MySQL as datetime |
|
| string | $started_at: | stored in MySQL as datetime |
|
| string | $finished_at: | stored in MySQL as datetime |
Methods
Returns all models. Query params can be e.g. order_by
Returns the count
Delete rows specified by condition and returns the affected rows.
Returns the first model with the given id. Query params can be e.g. order_by
Returns all models by id and ids. Query params can be e.g. order_by
Details
at line 42
JobHistory[]
all(mixed $sql_params)
Returns all models. Query params can be e.g. order_by
at line 42
int
count_all(mixed $sql_params)
Returns the count
at line 42
int
delete_by_id(int $id, mixed $sql_params)
Delete rows specified by condition and returns the affected rows.
at line 42
JobHistory[]
find_all_by_id(int|int[] $id, mixed $sql_params)
Returns the first model with the given id. Query params can be e.g. order_by
at line 42
JobHistory
find_by_id(int|int[] $id, mixed $sql_params)
Returns all models by id and ids. Query params can be e.g. order_by